public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-dev] [PATCH] savedconfig.eclass: Drop support for EAPI 6
@ 2024-07-25  5:35 Ulrich Müller
  2024-07-25  8:02 ` James Le Cuirot
  0 siblings, 1 reply; 2+ messages in thread
From: Ulrich Müller @ 2024-07-25  5:35 UTC (permalink / raw
  To: gentoo-dev; +Cc: Ulrich Müller

Signed-off-by: Ulrich Müller <ulm@gentoo.org>
---
 eclass/savedconfig.eclass | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/eclass/savedconfig.eclass b/eclass/savedconfig.eclass
index cc5748543078..65a1f3bfd800 100644
--- a/eclass/savedconfig.eclass
+++ b/eclass/savedconfig.eclass
@@ -1,10 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # @ECLASS: savedconfig.eclass
 # @MAINTAINER:
 # base-system@gentoo.org
-# @SUPPORTED_EAPIS: 6 7 8
+# @SUPPORTED_EAPIS: 7 8
 # @BLURB: common API for saving/restoring complex configuration files
 # @DESCRIPTION:
 # It is not uncommon to come across a package which has a very fine
@@ -31,7 +31,7 @@
 # build.
 
 case ${EAPI} in
-	6|7|8) ;;
+	7|8) ;;
 	*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
 esac
 
@@ -60,12 +60,12 @@ save_config() {
 	if [[ $# -eq 1 && -f $1 ]] ; then
 		# Just one file, so have the ${configfile} be that config file
 		dodir "${configfile%/*}"
-		cp "$@" "${ED%/}/${configfile}" || die "failed to save $*"
+		cp "$@" "${ED}/${configfile}" || die "failed to save $*"
 	else
 		# A dir, or multiple files, so have the ${configfile} be a dir
 		# with all the saved stuff below it
 		dodir "${configfile}"
-		treecopy "$@" "${ED%/}/${configfile}" || die "failed to save $*"
+		treecopy "$@" "${ED}/${configfile}" || die "failed to save $*"
 	fi
 
 	elog "Your configuration for ${CATEGORY}/${PF} has been saved in "
@@ -150,7 +150,7 @@ savedconfig_pkg_postinst() {
 	# are worse :/.
 
 	if use savedconfig ; then
-		find "${EROOT%/}/etc/portage/savedconfig/${CATEGORY}/${PF}" \
+		find "${EROOT}/etc/portage/savedconfig/${CATEGORY}/${PF}" \
 			-exec touch {} + 2>/dev/null
 	fi
 }
-- 
2.45.2



^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [gentoo-dev] [PATCH] savedconfig.eclass: Drop support for EAPI 6
  2024-07-25  5:35 [gentoo-dev] [PATCH] savedconfig.eclass: Drop support for EAPI 6 Ulrich Müller
@ 2024-07-25  8:02 ` James Le Cuirot
  0 siblings, 0 replies; 2+ messages in thread
From: James Le Cuirot @ 2024-07-25  8:02 UTC (permalink / raw
  To: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 2027 bytes --]

On Thu, 2024-07-25 at 07:35 +0200, Ulrich Müller wrote:
> Signed-off-by: Ulrich Müller <ulm@gentoo.org>
> ---
>  eclass/savedconfig.eclass | 12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)
> 
> diff --git a/eclass/savedconfig.eclass b/eclass/savedconfig.eclass
> index cc5748543078..65a1f3bfd800 100644
> --- a/eclass/savedconfig.eclass
> +++ b/eclass/savedconfig.eclass
> @@ -1,10 +1,10 @@
> -# Copyright 1999-2023 Gentoo Authors
> +# Copyright 1999-2024 Gentoo Authors
>  # Distributed under the terms of the GNU General Public License v2
>  
>  # @ECLASS: savedconfig.eclass
>  # @MAINTAINER:
>  # base-system@gentoo.org
> -# @SUPPORTED_EAPIS: 6 7 8
> +# @SUPPORTED_EAPIS: 7 8
>  # @BLURB: common API for saving/restoring complex configuration files
>  # @DESCRIPTION:
>  # It is not uncommon to come across a package which has a very fine
> @@ -31,7 +31,7 @@
>  # build.
>  
>  case ${EAPI} in
> -	6|7|8) ;;
> +	7|8) ;;
>  	*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
>  esac
>  
> @@ -60,12 +60,12 @@ save_config() {
>  	if [[ $# -eq 1 && -f $1 ]] ; then
>  		# Just one file, so have the ${configfile} be that config file
>  		dodir "${configfile%/*}"
> -		cp "$@" "${ED%/}/${configfile}" || die "failed to save $*"
> +		cp "$@" "${ED}/${configfile}" || die "failed to save $*"
>  	else
>  		# A dir, or multiple files, so have the ${configfile} be a dir
>  		# with all the saved stuff below it
>  		dodir "${configfile}"
> -		treecopy "$@" "${ED%/}/${configfile}" || die "failed to save $*"
> +		treecopy "$@" "${ED}/${configfile}" || die "failed to save $*"
>  	fi
>  
>  	elog "Your configuration for ${CATEGORY}/${PF} has been saved in "
> @@ -150,7 +150,7 @@ savedconfig_pkg_postinst() {
>  	# are worse :/.
>  
>  	if use savedconfig ; then
> -		find "${EROOT%/}/etc/portage/savedconfig/${CATEGORY}/${PF}" \
> +		find "${EROOT}/etc/portage/savedconfig/${CATEGORY}/${PF}" \
>  			-exec touch {} + 2>/dev/null
>  	fi
>  }

Ack.

[-- Attachment #2: This is a digitally signed message part --]
[-- Type: application/pgp-signature, Size: 858 bytes --]

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-07-25  8:02 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-07-25  5:35 [gentoo-dev] [PATCH] savedconfig.eclass: Drop support for EAPI 6 Ulrich Müller
2024-07-25  8:02 ` James Le Cuirot

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox